<%
  Dim nombre
  Dim user
  Dim identificado

  if Session("Admin") = False or IsNull(Session("Admin")) = True then
    Response.Redirect("../Default.asp?msg=La sesion ha caducado.Vuelva a autentificarse")
    nombre = ""
    user   = ""
    identificado = false
  else
    nombre = Session("RuntimeFullName")
    user   = Session("RuntimeUserName")
    identificado = true
  end if

  ' Funcin basada en el autmata de Michael Miller
  Function SQLBuilder(ConsultaTemp, CamposaBuscar, OrdenCampo, criterio, OperadorBool, Extras)
    Dim strSQL			'el string que devuelvo
    Dim ArrayPalabras()		'mi array de palabras
    Dim ContadorPalabras	'entero que cuenta el numero de palabras
    Dim I			'variable del bucle
    Dim PalabraActual		'valor entero. palabra actual
    Dim strTemp			'Variable string temporal
    Dim ContadorArray		'variable del contador del bucle
    Dim numElementos		'Mantiene el numero de elementos del array

    numElementos = CInt(UBound(CamposaBuscar) - 1)

    criterio = Trim(criterio)
    criterio = Replace(criterio, "  "," ")
    criterio = Replace(criterio, "   "," ")
    criterio = Replace(criterio, "    "," ")

    ' Buscamos el nmero total de palabras
    For I = 1 to Len(criterio)
      If mid(criterio, I, 1) = " " Then
        ContadorPalabras = ContadorPalabras + 1
      end if
    Next

    ContadorPalabras = ContadorPalabras + 1
    ReDim ArrayPalabras(ContadorPalabras)
    	
    PalabraActual = 1
    For I = 1 to len(criterio)
      If mid(criterio, i, 1) = " " Then
        PalabraActual = PalabraActual + 1
      Else
        ArrayPalabras(PalabraActual) = ArrayPalabras(PalabraActual) + mid(criterio, I, 1)
      End If
    Next

    strSQL = ConsultaTemp & " "

    For ContadorArray = 0 To CInt(numElementos)
      For I = 1 to ContadorPalabras
        If CBool(OperadorBool) Then
          If CInt(I) = 1 Then
            strTemp = strTemp & "("
          end if
          If I <> ContadorPalabras Then
            strTemp = strTemp & CamposaBuscar(ContadorArray) & " LIKE '%" & ArrayPalabras(I) & "%' AND "
          ElseIf I = ContadorPalabras Then
              strTemp = strTemp & CamposaBuscar(ContadorArray) & " LIKE '%" & ArrayPalabras(I) & "%'"
          End If
          If (Extras <> "" And CInt(i) = CInt(ContadorPalabras)) Then
            strTemp = strTemp & " " & Extras & " "
          end if
          If CInt(i) = ContadorPalabras Then
            strTemp = strTemp & ")"
          end if
        Else
          If I <> ContadorPalabras Then
            strTemp = strTemp & "(" & CamposaBuscar(ContadorArray) & " LIKE '%" & ArrayPalabras(I) & "%'"
            If Extras <> "" Then
              strTemp = strTemp & " " & Extras & " "
            end if
            strTemp = strTemp & ") OR "
          ElseIf I = ContadorPalabras Then
            strTemp = strTemp & "(" & CamposaBuscar(ContadorArray) & " LIKE '%" & ArrayPalabras(I) & "%'"
            If Extras <> "" Then
              strTemp = strTemp & " " & Extras & " "
            end if
            strTemp = strTemp & ")"
          End If
        End If
      Next 'I
      If CInt(ContadorArray) < CInt(numElementos) Then
        strTemp = strTemp & " OR "
      end if
    Next 'ContadorArray

    If Len(OrdenCampo) > 0 Or OrdenCampo <> "" Then
      strSQL = strSQL & strTemp & " ORDER BY " & OrdenCampo & ";"
      SQLBuilder = strSQL
    end if

  End Function

  ' Efectuamos la bsqueda
  Dim Conn ' Conexin a la base de datos
  Dim RS   ' Record Set
  Dim SQL  ' Sentencia SQL
  Dim DSN  ' Cadena DSN de conexin
  Dim criterio
  Dim CamposaBuscar()
  Dim patt
  Dim tablas

  DSN = "DBQ=" & Server.Mappath("../db.mdb") & ";Driver={Microsoft Access Driver (*.mdb)};"
  Set RS = Server.CreateObject("ADODB.Recordset")
  Set Conn = Server.CreateObject("ADODB.Connection")
  Conn.Open DSN

  patt = Request.Form("palabra")

  if patt = ""  then
    response.redirect "error.asp?Error=Introduzca un patrn de bsqueda"
  End if

  if Request.Form("booleanos") = "OR" Then
    valor = False
  Else
    valor = True
  End if

  strTemp = "SELECT * FROM libros WHERE "

  tablas = Request.Form("tablas")

  if tablas = "libros" OR tablas = "todos" then
    if Request.Form("campos") = "titulo" Then
      ReDim CamposaBuscar(1)			
      CamposaBuscar(0) = "libros.nombre"
    End if

    if Request.Form("campos") = "autor" Then
      ReDim CamposaBuscar(1)			
      CamposaBuscar(0) = "libros.autor"
    End if
	
    if Request.Form("campos") = "ambos" Then
      ReDim CamposaBuscar(2)	
      CamposaBuscar(0) = "libros.nombre"
     CamposaBuscar(1) = "libros.autor"
    End if

    strSQL = SQLBuilder(strTemp, CamposaBuscar, "libros.nombre", patt, valor, NULL)
    RS.Open strSQL,conn,3,3
  end if

%>

<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="es">
<head>
 <title>Biblioteca Leonardo Da Vinci - B&uacute;squeda avanzada</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
 <meta http-equiv="Content-Language" content="es"/>
 <meta name="Author" content="Jaime Perez"/>
 <link rel="stylesheet" type="text/css" href="../css/std.css"/>
</head>

<body>
 <table width="100%" cellspacing="0" cellpadding="1">
  <tr bgcolor="#CC9966">
   <td height="57" colspan="4" align="left">
    <table width="95%" cellspacing="0" cellpadding="1" align="left">
     <tr>
      <td>
       <a href="../Default.asp" target="_self">
        <img src="../imagenes/banner-top.jpg" width="300" height="57" alt="banner"/>
       </a>
      </td>
      <td align="right">
       <form name="formbusqueda" method="post" action="../buscador.asp">
        <input type="text" name="palabra" size="30" style="width: 300px"/><br/>
        <font color="#ffffff">Introduzca un patr&oacute;n de b&uacute;squeda</font>
        &nbsp;&nbsp;<input type="submit" name="SubmitBuscar" value="Buscar"/>
       </form>
      </td>
     </tr>
    </table>
   </td>
  </tr>
  <tr width="100%">
   <td width="200" valign="top" align="center" style="padding-top: 0px">
    <table cellpadding="0" cellspacing="0" width="100%">
     <tr>
      <td class="menu" style="vertical-align: bottom; padding: 10px; height: 70px">
       <center>Bienvenido, <% Response.Write nombre %></center>
      </td>
     </tr>
     <tr>
      <td class="menucolor">Su cuenta</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="default.asp">Ayuda</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="edit.asp">Modificar datos</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="../logout.asp">Terminar sesi&oacute;n</a>
      </td>
     </tr>
     <tr>
      <td class="menucolor">Fondo</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="addlibro.asp">Nuevo libro</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="addvideo.asp">Nuevo video</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="addmultimedia.asp">Nuevo multimedia</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="delitem.asp">Borrar recurso</a>
      </td>
     </tr>
     <tr>
     <tr>
      <td class="menucolor">Servicios</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="reservas.asp">Estado reservas</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="prestamos.asp">Estado pr&eacute;stamos</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="avanzada.asp">B&uacute;squeda avanzada</a>
      </td>
     </tr>
     <tr>
      <td class="menucolor">Usuarios</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="addadmin.asp">Nuevo administrador</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="adduser.asp">Nuevo usuario</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="deluser.asp">Borrar usuario</a>
      </td>
     </tr>
     <tr>
     <tr>
      <td class="menucolor">Opciones generales</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="../Default.asp">Noticias</a>
      </td>
     </tr>
     <tr> 
      <td class="menu">
       <a href="../historia.asp">Historia</a>
      </td>
     </tr>
     <tr> 
      <td class="menu">
       <a href="../normativa.asp">Normativa</a>
      </td>
     </tr>
     <tr> 
      <td class="menu">
       <a href="../contacto.asp">Informaci&oacute;n de contacto</a>
      </td>
     </tr>
     <tr>
      <td class="menucolor">&nbsp;</td>
     </tr>
     <tr>
      <td align="center">
       <font color="red"><% Response.Write Request.QueryString("msg") %></font>
      </td>
     </tr>
     <tr>
      <td align="center">
       <br/>
       <a href="http://validator.w3.org/check?uri=referer" target="_blank">
        <img src="http://www.w3.org/Icons/valid-xhtml10" alt="Valid XHTML 1.0!" height="31" width="88"/>
       </a>
       <a href="http://jigsaw.w3.org/css-validator/" target="_blank">
        <img style="border: 0; width: 88px; height: 31px"
         src="http://jigsaw.w3.org/css-validator/images/vcss" alt="Valid CSS!"/>
       </a>
      </td>
     </tr>
    </table>
   </td>
   <td width="20">&nbsp;</td>
   <td align="left" valign="top">
    <br/>
    <h2>Resultados de la b&uacute;squeda "<i><% Response.Write patt %></i>"</h2>
    <%
     if tablas = "libros" OR tablas = "todos" then
      Response.Write "   <p align=""justify"">"& vbcrlf
      Response.Write "    Se han encontrado un total de "& RS.RecordCount &" coincidencias en <b>libros y publicaciones</b>."& vbcrlf
      Response.Write "   </p>"& vbcrlf

      if RS.RecordCount > 0 Then
       Response.Write "<table>"& vbcrlf
       Response.Write "    <tr>"& vbcrlf
       Response.Write "     <td class=""cabecera"">T&iacute;tulo</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">ISBN</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">Editorial</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">Autor</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">#</td>"& vbcrlf
       Response.Write "    </tr>"& vbcrlf
       Do Until RS.EOF
        Response.Write "    <tr>"& vbcrlf
        Response.Write "     <td>"& RS("nombre") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("ISBN") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("editorial") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("autor") & "</td>" & vbcrlf
        Response.Write "     <td align=""center"">"& RS("disponibles") & "</td>" & vbcrlf
        Response.Write "    </tr>"& vbcrlf
        RS.MoveNext
       Loop
       Response.Write "   </table>"& vbcrlf
      End if
      RS.Close
     end if

     if tablas = "videos" OR tablas = "todos" then
      strTemp = "SELECT * FROM videos WHERE "

      if Request.Form("campos") = "titulo" Then
        ReDim CamposaBuscar(1)			
        CamposaBuscar(0) = "videos.titulo"
      End if

      if Request.Form("campos") = "autor" Then
        ReDim CamposaBuscar(1)			
        CamposaBuscar(0) = "videos.director"
      End if

      if Request.Form("campos") = "ambos" Then
        ReDim CamposaBuscar(2)	
        CamposaBuscar(0) = "videos.titulo"
        CamposaBuscar(1) = "videos.director"
      End if

      strSQL = SQLBuilder(strTemp, CamposaBuscar, "videos.titulo", patt, valor, NULL)
      RS.Open strSQL,Conn,3,3

      Response.Write "   <hr>"& vbcrlf
      Response.Write "   <p align=""justify"">"& vbcrlf
      Response.Write "    Se han encontrado un total de "& RS.RecordCount &" coincidencias en <b>videos</b>."& vbcrlf
      Response.Write "   </p>"& vbcrlf


      if RS.RecordCount > 0 Then
       Response.Write "   <table>"& vbcrlf
       Response.Write "    <tr>"& vbcrlf
       Response.Write "     <td class=""cabecera"">T&iacute;tulo</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">Director</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">A&ntilde;o</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">#</td>"& vbcrlf
       Response.Write "    </tr>"& vbcrlf
       Do Until RS.EOF
        Response.Write "    <tr>"& vbcrlf
        Response.Write "     <td>"& RS("titulo") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("director") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("anyo") & "</td>" & vbcrlf
        Response.Write "     <td align=""center"">"& RS("disponibles") & "</td>" & vbcrlf
        Response.Write "    </tr>"& vbcrlf

        RS.MoveNext
       Loop
       Response.Write "   </table>"& vbcrlf
      End if
      RS.Close
     end if

     if tablas = "multimedia" OR tablas = "todos" then
      strTemp = "SELECT * FROM multimedia WHERE "

      if Request.Form("campos") = "titulo" Then
        ReDim CamposaBuscar(1)			
        CamposaBuscar(0) = "multimedia.titulo"
      End if

      if Request.Form("campos") = "autor" Then
        ReDim CamposaBuscar(1)			
        CamposaBuscar(0) = "multimedia.autor"
      End if

      if Request.Form("campos") = "ambos" Then
        ReDim CamposaBuscar(2)	
        CamposaBuscar(0) = "multimedia.titulo"
        CamposaBuscar(1) = "multimedia.autor"
      End if

      strSQL = SQLBuilder(strTemp, CamposaBuscar, "multimedia.titulo", patt, valor, NULL)
      RS.Open strSQL,Conn,3,3

      Response.Write "   <hr>"& vbcrlf
      Response.Write "   <p align=""justify"">"& vbcrlf
      Response.Write "    Se han encontrado un total de "& Rs.RecordCount &" coincidencias en"& vbcrlf
      Response.Write "    los <b>archivos multimedia</b>."& vbcrlf
      Response.Write "   </p>"& vbcrlf

      if RS.RecordCount > 0 Then
       Response.Write "   <table>"& vbcrlf
       Response.Write "    <tr>"& vbcrlf
       Response.Write "     <td class=""cabecera"">T&iacute;tulo</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">Autor</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">Descripci&oacute;n</td>"& vbcrlf
       Response.Write "     <td class=""cabecera"">#</td>"& vbcrlf
       Response.Write "    </tr>"& vbcrlf
       Do Until RS.EOF
        Response.Write "    <tr>"& vbcrlf
        Response.Write "     <td>"& RS("titulo") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("autor") & "</td>" & vbcrlf
        Response.Write "     <td>"& RS("descripcion") & "</td>" & vbcrlf
        Response.Write "     <td align=""center"">"& RS("disponibles") & "</td>" & vbcrlf
        Response.Write "    </tr>"& vbcrlf

        RS.MoveNext
       Loop
       Response.Write "   </table>"
      End if
      RS.Close
      Conn.Close
     end if
    %>
   </td>
   <td width="20">&nbsp;</td>
  </tr>
  <tr width="100%">
   <td colspan="4" align="center">
    <br/>
    <p>
     &copy; Biblioteca Leonardo Da Vinci. Los contenidos expuestos en esta p&aacute;gina web son de dominio 
     p&uacute;blico y libre distribuci&oacute;n.
    </p>
   </td>
  </tr>
 </table>
</body>
</html>
