<%
  Dim nombre
  Dim user
  Dim identificado

  if Session("Good") = False or IsNull(Session("Good")) = True then
    Response.Redirect("../Default.asp?msg=La sesion ha caducado.Vuelva a autentificarse")
    nombre = ""
    user   = ""
    identificado = false
  else
    nombre = Session("RuntimeFullName")
    user   = Session("RuntimeUserName")
    identificado = true
  end if
%>

<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="es">
<head>
 <title>Biblioteca Leonardo Da Vinci - Opciones de usuario</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
 <meta http-equiv="Content-Language" content="es"/>
 <meta name="Author" content="Jaime Perez"/>
 <link rel="stylesheet" type="text/css" href="../css/std.css"/>
</head>

<body>
 <table width="100%" cellspacing="0" cellpadding="1">
  <tr bgcolor="#CC9966">
   <td height="57" colspan="4" align="left">
    <table width="95%" cellspacing="0" cellpadding="1" align="left">
     <tr>
      <td>
       <a href="../Default.asp" target="_self">
        <img src="../imagenes/banner-top.jpg" width="300" height="57" alt="banner"/>
       </a>
      </td>
      <td align="right">
       <form name="formbusqueda" method="post" action="../buscador.asp">
        <input type="text" name="palabra" size="30" style="width: 300px"/><br/>
        <font color="#ffffff">Introduzca un patr&oacute;n de b&uacute;squeda</font>
        &nbsp;&nbsp;<input type="submit" name="SubmitBuscar" value="Buscar"/>
       </form>
      </td>
     </tr>
    </table>
   </td>
  </tr>
  <tr width="100%">
   <td width="200" valign="top" align="center" style="padding-top: 0px">
    <table cellpadding="0" cellspacing="0" width="100%">
     <tr>
      <td class="menu" style="vertical-align: bottom; padding: 10px; height: 70px">
       <center>Bienvenido, <% Response.Write nombre %></center>
      </td>
     </tr>
     <tr>
      <td class="menucolor">Su cuenta</td>
     </tr>
     <tr>
      <td class="menu">
       <font color="#AA7755">Ayuda</font>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="edit.asp">Modificar datos</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="../logout.asp">Terminar sesi&oacute;n</a>
      </td>
     </tr>
     <tr>
      <td class="menucolor">Sus servicios</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="reservas.asp">Estado reservas</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="prestamos.asp">Estado pr&eacute;stamos</a>
      </td>
     </tr>
     <tr>
      <td class="menu">
       <a href="avanzada.asp">B&uacute;squeda avanzada</a>
      </td>
     </tr>
     <tr>
      <td class="menucolor">Opciones generales</td>
     </tr>
     <tr>
      <td class="menu">
       <a href="../Default.asp">Noticias</a>
      </td>
     </tr>
     <tr> 
      <td class="menu">
       <a href="../historia.asp">Historia</a>
      </td>
     </tr>
     <tr> 
      <td class="menu">
       <a href="../normativa.asp">Normativa</a>
      </td>
     </tr>
     <tr> 
      <td class="menu">
       <a href="../contacto.asp">Informaci&oacute;n de contacto</a>
      </td>
     </tr>
     <tr>
      <td class="menucolor">&nbsp;</td>
     </tr>
     <tr>
      <td align="center">
       <font color="red"><% Response.Write Request.QueryString("msg") %></font>
      </td>
     </tr>
     <tr>
      <td align="center">
       <br/>
       <a href="http://validator.w3.org/check?uri=referer" target="_blank">
        <img src="http://www.w3.org/Icons/valid-xhtml10" alt="Valid XHTML 1.0!" height="31" width="88"/>
       </a>
       <a href="http://jigsaw.w3.org/css-validator/" target="_blank">
        <img style="border: 0; width: 88px; height: 31px"
         src="http://jigsaw.w3.org/css-validator/images/vcss" alt="Valid CSS!"/>
       </a>
      </td>
     </tr>
    </table>
   </td>
   <td width="20">&nbsp;</td>
   <td align="left" valign="top">
    <br/>
    <h2>Opciones de <% Response.Write nombre %></h2>
    <p align="justify">
     Desde este panel de opciones usted podr&aacute; acceder a su cuenta y modificarla, as&iacute;
     como consultar el estado de los servicios solicitados. A continuaci&oacute;n le ofrecemos una
     peque&ntilde;a ayuda descriptiva de cada una de las opciones:
    </p>
    <ul>
     <li><b>Modificar datos:</b> le permite modificar los datos personales que introdujo al registrarse.</li>
     <li><b>Estado de reservas:</b> le permite consultar las reservas que usted ha realizado.</li>
     <li><b>Estado de pr&eacute;stamos:</b> le permite consultar el estado de sus pr&eacute;stamos.</li>
     <li><b>B&uacute;squeda avanzada:</b> le permite hacer b&uacute;squedas m&aacute;s sofisticadas
      que la b&uacute;squeda convencional ofrecida a todos los visitantes.</li>
     <li><b>Terminar sesi&oacute;n:</b> cierra su cuenta de usuario.</li>
    </ul>
   </td>
   <td width="20">&nbsp;</td>
  </tr>
  <tr width="100%">
   <td colspan="4" align="center">
    <br/>
    <p>
     &copy; Biblioteca Leonardo Da Vinci. Los contenidos expuestos en esta p&aacute;gina web son de dominio 
     p&uacute;blico y libre distribuci&oacute;n.
    </p>
   </td>
  </tr>
 </table>
</body>
</html>
